package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC输入输出总线
 * 
 * @author sxp
 * @since May 22, 2018
 */
@Deprecated
@Table("hmc_io_bus")
public class HmcIoBus {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("io_bus_id")
    private String ioBusId;

    @Column("hmc_server_id")
    private Long hmcServerId;

    public HmcIoBus() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIoBusId() {
        return ioBusId;
    }

    public void setIoBusId(String ioBusId) {
        this.ioBusId = ioBusId;
    }

    public Long getHmcServerId() {
        return hmcServerId;
    }

    public void setHmcServerId(Long hmcServerId) {
        this.hmcServerId = hmcServerId;
    }

}
